package com.muzhi.tianhe.controller;

import com.muzhi.tianhe.service.AccessTokenService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author ZhangKan
 * @Data 15:03
 */

@Api(description = "钉钉授权AccessToken")
@RestController
@RequestMapping("/dingservice")
public class AccessTokenController {

    @Autowired
    private AccessTokenService AccessTokenService;

    //获取钉钉中的access_token（易控）
    @ApiOperation(value = "获取钉钉中的access_token")
    @GetMapping("getAccessToken")
    public String getAccessToken(){

        String accessToken = AccessTokenService.getAccessToken();
        return accessToken;
    }

    //获取钉钉中的access_token（TB应用）
    @ApiOperation(value = "获取钉钉中的access_token")
    @GetMapping("getAppToken")
    public String getAppToken(){

        String AppToken = AccessTokenService.getAppToken();
        return AppToken;
    }
}
