package com.muzhi.tianhe.controller;

import com.muzhi.tianhe.service.YiDaService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author ZhangKan
 * @Data 15:03
 */

@Api(description = "TB接口")
@RestController
@RequestMapping("/yidaservice")
public class YiDaController {

    @Autowired
    private YiDaService yiDaService;

    //创建宜搭项目表单
    @PostMapping("createYiDaXM")
    public String createYiDaXM(String mapJson,String xmid) throws Exception{

        String yiDaXM = yiDaService.createYiDaXM(mapJson,xmid);
        System.out.println(yiDaXM);
        return yiDaXM;
    }

    //创建宜搭任务表单
    @PostMapping("createYiDaRW")
    public String createYiDaRW(String dingUserid,String mapJson) throws Exception{

        String yiDaRW = yiDaService.createYiDaRW(dingUserid,mapJson);
        System.out.println(yiDaRW);
        return yiDaRW;
    }
}
