package com.muzhi.tianhe.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muzhi.tianhe.entity.Tianhe;
import com.muzhi.tianhe.entity.User;
import com.muzhi.tianhe.entity.vo.TianheDataVo;
import com.muzhi.tianhe.entity.vo.TianheQuery;

import java.util.List;

public interface TbService extends IService<Tianhe> {

    //获取项目信息
    String getXiangmu() throws Exception;

    //查询数据库中tianhe表的所有数据
    List<Tianhe> getTianhe();

    //删除tianhe表中的所有数据
    String removeTianhe();

    //获取数据库中员工花名册employee实体类表数据进行前端接口调用展示数据
    public TianheDataVo<Tianhe> getTianheTB(Integer page, Integer limit, TianheQuery tianheQuery);

    public User getDingUserId(String tbUserId);

    public List<User> projectMember(String projectId);


    void asyncXm();

    void asyncXm(String id);

    void test();
}
